joshi_at
Contributor
Contributor

Error upgrading from 6.0 to 6.7

Greetings,

I recently upgraded my VCSA to 6.7, and now wanted to upgrade my 3 Fujitsu servers through VUM. Everything went fine at the beginning, the upgrade got stuck at 47%. After Some while I took a look at the server console, and found the attached error message (sorry for not having the logs copied).

Apparently I need to disable the corresponding vib-files. I tried the following commands:

esxcli software vib remove -n lsiprovider

esxcli software vib remove --vibname vmware-esx-storcli-1.17.08

But got in both cases the following error message:

[DependencyError]

VIB VMware_locker_tools-light_10.3.10.12406962-14141615 requires esx-version >= 6.6.0, but the requirement cannot be satisfied within the ImageProfile.

Please refer to the log file for more details.

I tried to update using the latest 6.7 Fujitsu Custom ISO.

How should I proceed here? Would it be an option to upgrade with the regular, non-custom ISO? If so, how can I install the management software from Fujitsu afterwards by hand?

Thanks

Joshi

0 Kudos
6 Replies
msripada
Commander
Commander

As[DependencyError] VIB VMware_locker_tools-light_10.3.10.12406962-14141615 requires esx-version >= 6.6.0, but the requirement cannot be satisfied within the ImageProfile. Please refer to the log file for more details.

As it is a custom image, I suspect some vib might be causing the dependency issue here and not the tools-light. I have seen this with customized iso's. You can try with 6.7 custom vib else we might have to review the logs or remove third party vibs to isolate further. You can create a test host and isolate which vib causing the issue.

thanks,

MS

0 Kudos
joshi_at
Contributor
Contributor

Hi MS,

thanks for your reply. I assume, that the vibs in question are the three that relate to lsi (megaraid successor). According to my research, it should be
- lsiprovider
- scsi-mpt3sas

- vmware-esx-storcli-1.17.08

But when I try to remove them with the command "esxcli software vib remove --vibname NAME" I get the errors. All the same. There is no need to get a testbox up and running, I can test it with that particular one, as it is the oldest in the cluster. the other two are newer "twins".

Regards

Johannes

0 Kudos
msripada
Commander
Commander

We need to compare the vsphere 6.0 version iso vibs and isolate which is not part of the custom iso and remove all of them. It could be these three or more than these.

you can use the https://sp.ts.fujitsu.com/dmsp/Publications/public/ri-esx-custom-image.pdf  for the list of all versions custom vib list

you can use this VMware link for custom iso also to get the list

https://my.vmware.com/group/vmware/downloads/info/slug/datacenter_cloud_infrastructure/vmware_vspher...

thanks,

MS

0 Kudos
STARMAGGON
Contributor
Contributor

Same Error here. Upgrade from 6.0 to 6.7 with latest Fujitsu Custom Image. Cant remove the VIBs with the same Error Message.  Have you found a solution. Many Thanks.

0 Kudos
TomKalabis
Enthusiast
Enthusiast

0 Kudos
MarioPalumbo
Contributor
Contributor

Hi guys,

is there any solution now? I have absolutely the same problem, when I try to remove the vibs.

Thanks

0 Kudos